Package org.acplt.oncrpc.apps.jrpcgen

# Enum Class JrpcgenXdrDefinition.Type

java.lang.Object
java.lang.Enum<JrpcgenXdrDefinition.Type>
org.acplt.oncrpc.apps.jrpcgen.JrpcgenXdrDefinition.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<JrpcgenXdrDefinition.Type>`, `Constable`

Enclosing class:
  `JrpcgenXdrDefinition`

public static enum JrpcgenXdrDefinition.Type extends Enum<JrpcgenXdrDefinition.Type>
Specification of the possible XDR definition types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONST`
An XDR definition of this type is expected to belong to a constant definition.
`ENUM`
An XDR definition of this type is expected to belong to an enumeration definition.
`STRUCT`
An XDR definition of this type is expected to belong to a structure definition.
`TYPEDEF`
An XDR definition of this type is expected to belong to a type definition.
`UNION`
An XDR definition of this type is expected to belong to a union definition.

## Method Summary

Modifier and Type
Method
Description
`static JrpcgenXdrDefinition.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JrpcgenXdrDefinition.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONST

public static final JrpcgenXdrDefinition.Type CONST
An XDR definition of this type is expected to belong to a constant definition.

### ENUM

public static final JrpcgenXdrDefinition.Type ENUM
An XDR definition of this type is expected to belong to an enumeration definition.

### STRUCT

public static final JrpcgenXdrDefinition.Type STRUCT
An XDR definition of this type is expected to belong to a structure definition.

### UNION

public static final JrpcgenXdrDefinition.Type UNION
An XDR definition of this type is expected to belong to a union definition.

### TYPEDEF

public static final JrpcgenXdrDefinition.Type TYPEDEF
An XDR definition of this type is expected to belong to a type definition.

## Method Details

### values

public static JrpcgenXdrDefinition.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JrpcgenXdrDefinition.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null